Extending Qt Creator Manual | GlobalParseState

Extending Qt Creator Manual 4.7.1

# GlobalParseState Class

(Debugger::Internal::GlobalParseState)

- List of all members, including inherited members

## Public Functions

void | addSubstitution(const int &node)
void | addTemplateParam(const int &node)
char | advance(int steps = 1)
char | peek(int ahead = 0)
int | popFromStack()
void | pushToStack(const int &node)
int | readAhead(int) const
int | stackElementAt(int) const
int | stackElementCount() const
int | stackTop() const
int | substitutionAt(int) const
int | substitutionCount() const
int | templateParamAt(int) const
int | templateParamCount() const

## Member Function Documentation

### void GlobalParseState::addSubstitution(const int &node)

### void GlobalParseState::addTemplateParam(const int &node)

### char GlobalParseState::advance(int steps = 1)

### char GlobalParseState::peek(int ahead = 0)

### int GlobalParseState::popFromStack()

### void GlobalParseState::pushToStack(const int &node)

### int GlobalParseState::readAhead(int) const

### int GlobalParseState::stackElementAt(int) const

### int GlobalParseState::stackElementCount() const

### int GlobalParseState::stackTop() const

### int GlobalParseState::substitutionAt(int) const

### int GlobalParseState::substitutionCount() const

### int GlobalParseState::templateParamAt(int) const

### int GlobalParseState::templateParamCount() const